import type { _CAOpenGLLayer } from "../QuartzCore/CAOpenGLLayer.js";
import type { _SCNScene } from "./SCNScene.js";
import type { _SCNTechniqueSupport } from "./SCNTechniqueSupport.js";
export declare class _SCNLayer extends _CAOpenGLLayer {
    static alloc(): _SCNLayer;
    static new(): _SCNLayer;
    init(): _SCNLayer;
    /** @property scene @abstract Specifies the scene of the receiver */
    scene(): _SCNScene | null;
    setScene$(value: _SCNScene | null): void;
}
export interface _SCNLayer extends _SCNTechniqueSupport {
}
